The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Help with trac install: yum error: webserver is needed by package trac

Discussion in 'cPanel Developers' started by vladgur, Apr 1, 2008.

  1. vladgur

    vladgur Member

    Joined:
    Apr 18, 2003
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    Hey guys!
    Im trying to set it up on cpanel running apache 1.3:
    followed this guide:
    http://flipsidereality.com/blog/nix...-a-centos-46-virtuoso-vm-running-cpannel-whm/
    updated dag and run yum install trac command, here is the output:
    Code:
     yum install trac
    Setting up Install Process
    Setting up repositories
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    Resolving Dependencies
    --> Populating transaction set with selected packages. Please wait.
    ---> Package trac.noarch 0:0.10.4-1.el4.rf set to be updated
    --> Running transaction check
    --> Processing Dependency: webserver for package: trac
    --> Finished Dependency Resolution
    Error: Missing Dependency: webserver is needed by package trac
    
    any advice would be appreciated
     
  2. vladgur

    vladgur Member

    Joined:
    Apr 18, 2003
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    Any advice would be greatly appreciated
     
  3. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    You could probably force it by downloading the actual rpm from the depository and installing it with rpm and the --nodeps option so that it doesn't check for an apache rpm. However, hacking it into httpd.conf with easyapache may prove a great challenge ;)
     
Loading...

Share This Page